"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const prefix_1 = require("./prefix");
ava_1.default('no prefix', t => {
    const result = prefix_1.prefixEmoji('42', undefined);
    t.is(result, '42');
});
ava_1.default('value text & prefix truthy still passthrough', t => {
    const result = prefix_1.prefixEmoji('42', '6');
    t.is(result, '6 42');
});
ava_1.default('value text & prefix true', t => {
    const result = prefix_1.prefixEmoji('42', true);
    t.is(result, prefix_1.emojiTrue + ' 42');
});
ava_1.default('value text & prefix false', t => {
    const result = prefix_1.prefixEmoji('42', false);
    t.is(result, prefix_1.emojiFalse + ' 42');
});
ava_1.default('value text & prefix true hidden', t => {
    const result = prefix_1.prefixEmoji('42', true, { hideTrueEmoji: true });
    t.is(result, '42');
});
ava_1.default('value text & prefix false hidden', t => {
    const result = prefix_1.prefixEmoji('42', false, { hideFalseEmoji: true });
    t.is(result, '42');
});
ava_1.default('own true prefix', t => {
    const result = prefix_1.prefixEmoji('42', true, {
        prefixTrue: 'foo'
    });
    t.is(result, 'foo 42');
});
ava_1.default('own false prefix', t => {
    const result = prefix_1.prefixEmoji('42', false, {
        prefixFalse: 'bar'
    });
    t.is(result, 'bar 42');
});
//# sourceMappingURL=prefix.emoji.test.js.map