"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const back_main_buttons_1 = require("./back-main-buttons");
ava_1.default('creates no buttons in root menu', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons();
    const buttons = await func(undefined, '/');
    t.deepEqual(buttons, [[]]);
});
ava_1.default('creates no buttons in topmost menu', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons();
    const buttons = await func(undefined, 'foo/');
    t.deepEqual(buttons, [[]]);
});
ava_1.default('creates only main menu button when one deep', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons('back', 'main');
    const buttons = await func(undefined, '/foo/');
    t.deepEqual(buttons, [[{
                text: 'main',
                relativePath: '/'
            }]]);
});
ava_1.default('creates back button when when one deep but without main menu', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons('back', 'main');
    const buttons = await func(undefined, 'foo/bar/');
    t.deepEqual(buttons, [[{
                text: 'back',
                relativePath: '..'
            }]]);
});
ava_1.default('creates back and main button when when two deep', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons('back', 'main');
    const buttons = await func(undefined, '/foo/bar/');
    t.deepEqual(buttons, [[{
                text: 'back',
                relativePath: '..'
            }, {
                text: 'main',
                relativePath: '/'
            }]]);
});
ava_1.default('creates only back button when when two deep but without main menu', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons('back', 'main');
    const buttons = await func(undefined, 'foo/bar/deep/');
    t.deepEqual(buttons, [[{
                text: 'back',
                relativePath: '..'
            }]]);
});
ava_1.default('creates button texts in function', async (t) => {
    const func = back_main_buttons_1.createBackMainMenuButtons(() => 'back', () => 'main');
    const buttons = await func(undefined, '/foo/bar/');
    t.deepEqual(buttons, [[{
                text: 'back',
                relativePath: '..'
            }, {
                text: 'main',
                relativePath: '/'
            }]]);
});
//# sourceMappingURL=back-main-buttons.test.js.map